Package javax.help

# Class SearchTOCItem

java.lang.Object
javax.help.TreeItem
javax.help.TOCItem
javax.help.SearchTOCItem

All Implemented Interfaces:
  `Serializable`

public class SearchTOCItem extends TOCItem
Stores Search TOC items. This class extends TOCItems with additonal search hits. Can be used as part of the TOC tree or as an appendage to the tree for items not contained in the tree.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.help.TreeItem

`COLLAPSE, DEFAULT_EXPANSION, EXPAND, locale`

## Constructor Summary

Constructors
Constructor
Description
`SearchTOCItem(Map.ID id, Map.ID imageID, HelpSet hs, Locale locale)`
`SearchTOCItem(SearchItem item)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSearchHit(SearchHit si)`
Adds a SearchHit.
`double`
`getConfidence()`
`Enumeration`
`getConfidences()`
`Enumeration`
`getSearchHits()`
`URL`
`getURL()`
Returns the URL for the item.
`int`
`hitCount()`
`boolean`
`inTOC()`

### Methods inherited from class javax.help.TOCItem

`getImageID`

### Methods inherited from class javax.help.TreeItem

`getExpansionType, getHelpSet, getID, getLocale, getMergeType, getName, getPresentation, getPresentationName, setExpansionType, setHelpSet, setID, setMergeType, setName, setPresentation, setPresentationName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SearchTOCItem

public SearchTOCItem(Map.ID id, Map.ID imageID, HelpSet hs, Locale locale)

### SearchTOCItem

public SearchTOCItem(SearchItem item)

## Method Details

### addSearchHit

public void addSearchHit(SearchHit si)
Adds a SearchHit.

### getURL

public URL getURL()
Description copied from class: `TreeItem`
Returns the URL for the item.

Overrides:
  `getURL` in class `TreeItem`

### getConfidence

public double getConfidence()

### getConfidences

public Enumeration getConfidences()

### inTOC

public boolean inTOC()

### getSearchHits

public Enumeration getSearchHits()

### hitCount

public int hitCount()